> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/general/control/wisej.web.toucheventargs.md).

# TouchEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for [Swipe](/api/wisej.web/general/control.md#swipe) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class TouchEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class TouchEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Identifiers

[Int64\[\]](https://docs.microsoft.com/dotnet/api/system.int64): Returns the unique identifiers for the touch items.

### ![](/files/hsR4ok3152WyAf8J2C1u) IsMultiTouch

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns whether more than one touch is associated with the event target element.

### ![](/files/hsR4ok3152WyAf8J2C1u) Locations

[Point\[\]](https://docs.microsoft.com/dotnet/api/system.drawing.point): Returns the location of the touch items in screen coordinates.

### ![](/files/hsR4ok3152WyAf8J2C1u) Rotation

[Double](https://docs.microsoft.com/dotnet/api/system.double): Returns the delta of the rotation since the start of the event, in degrees.

### ![](/files/hsR4ok3152WyAf8J2C1u) Scale

[Double](https://docs.microsoft.com/dotnet/api/system.double): Returns the distance between two fingers since the start of the event.

## Used By

| Name                                                                               | Description                                                                                                                                                                                                                                                                                   |
| ---------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [TouchEventHandler](/api/wisej.web/general/control/wisej.web.toucheventhandler.md) | Represents the method that will handle the [TouchStart](/api/wisej.web/general/control.md#touchstart), [TouchEnd](/api/wisej.web/general/control.md#touchend), [TouchMove](/api/wisej.web/general/control.md#touchmove), [TouchCancel](/api/wisej.web/general/control.md#touchcancel) events. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/general/control/wisej.web.toucheventargs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
